Bug 104634 - [new port] /devel/freehdl
Summary: [new port] /devel/freehdl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-20 21:30 UTC by Dominic Fandrey
Modified: 2006-11-05 21:00 UTC (History)
0 users

See Also:


Attachments
file.shar (5.83 KB, text/plain)
2006-10-20 21:30 UTC, Dominic Fandrey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2006-10-20 21:30:22 UTC
This is a VHDL simulator for linux that works without any patching on FreeBSD. It works by compiling VHDL into c++ code, which then can be compiled into a simulation.

This is probably for after the Freeze, but I wanted to get done with the commit.
Comment 1 Dominic Fandrey 2006-10-22 15:07:04 UTC
It has been suggested to me that this might actually belong into
cad (like iverilog). So whoever commits this, please change the
category if you think that devel is the wrong place.
Comment 2 Alejandro Pulver freebsd_committer 2006-10-31 18:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 3 dfilter service freebsd_committer 2006-11-05 20:51:14 UTC
alepulver    2006-11-05 20:51:06 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
  Added files:
    cad/freehdl          Makefile distinfo pkg-descr pkg-plist 
  Log:
  The goals of the FreeHDL project are to develop a VHDL simulator that has
  a graphical waveform viewer and a source level debugger. It also aims at
  VHDL-93 compliancy. The project is at a very early development stage.
  
  WWW: http://www.freehdl.seul.org/
  
  PR:             ports/104634
  Submitted by:   lon_kamikaze at gmx.de
  
  Revision  Changes    Path
  1.93      +1 -0      ports/cad/Makefile
  1.1       +53 -0     ports/cad/freehdl/Makefile (new)
  1.1       +3 -0      ports/cad/freehdl/distinfo (new)
  1.1       +5 -0      ports/cad/freehdl/pkg-descr (new)
  1.1       +110 -0    ports/cad/freehdl/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alejandro Pulver freebsd_committer 2006-11-05 20:55:49 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!